<template>
    <div> 
        <b-carousel id="carousel1"
                    style="text-shadow: 1px 1px 2px #333;"
                    controls
                    indicators
                    background="#ababab"
                    :interval="4000"
                    img-width="3019"
                    img-height="2303"
                    v-model="slide"
                    @sliding-start="onSlideStart"
                    @sliding-end="onSlideEnd"
        >

        <b-carousel-slide>
            <img slot="img" class="d-block img-fluid w-100" width="1440" height="1024"
                src="..\assets\sli-1.png" alt="image slot">
                
        </b-carousel-slide>

        <b-carousel-slide>
            <img slot="img" class="d-block img-fluid w-100" width="1440" height="1024"
                src="..\assets\sli-2.png" alt="image slot">
            
        </b-carousel-slide>

        <b-carousel-slide>
            <img slot="img" class="d-block img-fluid w-100" width="1440" height="1024"
                src="..\assets\sli-3.png" alt="image slot">
               
        </b-carousel-slide>

        <b-carousel-slide>
            <img slot="img" class="d-block img-fluid w-100" width="1440" height="1024"
                src="..\assets\sli-4.png" alt="image slot">
               
        </b-carousel-slide>

        </b-carousel>

        <!-- <p class="mt-4">
        Slide #: {{ slide }}<br>
        Sliding: {{ sliding }}
        </p> -->
    </div>
</template>

<script>
    export default {    
        data () {
            return {
            slide: 0,
            sliding: null
            }
        },
        methods: {
            onSlideStart (slide) {
            this.sliding = true
            },
            onSlideEnd (slide) {
            this.sliding = false
            }
        }
    }
</script>

<style scoped>
    .carousel {
        background-size: cover;
        color: rgba(48, 184, 252, 0.75) solid;
        margin-top: -95px;
        margin-bottom: -30px;
    }
</style>
